Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.codec
Class EncoderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.codec.EncoderException

All Implemented Interfaces:
  Serializable

    public class EncoderException

extends Exception

Thrown when there is a failure condition during the encoding process. This exception is thrown when an `Encoder` encounters a encoding specific exception such as invalid data, inability to calculate a checksum, characters outside of the expected range.

Version:
  $Id: EncoderException.java 1352268 2012-06-20 19:04:08Z ggregory $
See Also:
  Serialized Form

Constructor Summary
`EncoderException()` Constructs a new exception with `null` as its detail message.
`EncoderException(String message)` Constructs a new exception with the specified detail message.
`EncoderException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`EncoderException(Throwable cause)` Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EncoderException

    public EncoderException()

  Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

  Since:
    1.4

### EncoderException

    public EncoderException(String message)

  Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

  Parameters:
    `message` - a useful message relating to the encoder specific error.

### EncoderException

    public EncoderException(String message,
                            Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Note that the detail message associated with `cause` is not automatically incorporated into this exception's detail message.

  Parameters:
    `message` - The detail message which is saved for later retrieval by the `Throwable.getMessage()` method.
    `cause` - The cause which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.
  Since:
    1.4

### EncoderException

    public EncoderException(Throwable cause)

  Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables.

  Parameters:
    `cause` - The cause which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Apache Software Foundation. All Rights Reserved.